#!/bin/bash
./src/build-local-rules.ts
npx tsc ./src/local/index.ts --outdir ./dist/local --target ESNext --module CommonJS --esModuleInterop >/dev/null
npx tsc ./src/index.ts --outdir ./dist --declaration --target ESNext --module CommonJS --esModuleInterop >/dev/null
rm -r dist/redirect.*
./esbuild.ts
sed -i '' '/import.*redirect.*;/d' dist/index.d.ts

type() {
  npx dts-bundle-generator "./packages/eslint-plugin-$1/$2" \
    -o "./dist/$1/index.d.ts" \
    --project "./packages/eslint-plugin-$1/tsconfig.json" \
    --no-check
}

# type import src/index.js
# type jsx-a11y src/index.js
# type react index.js
